summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJavier Jardón <jjardon@gnome.org>2012-04-19 11:57:30 +0100
committerJavier Jardón <jjardon@gnome.org>2012-04-19 11:57:30 +0100
commit2b30482e878afff3c1a4e9bb3442c2755a745300 (patch)
tree70cc2b8145a89f8d40197b55b441565dff58214a
parenta4c6775b120d48278dc10234c326878ab42a035b (diff)
downloadintltool-2b30482e878afff3c1a4e9bb3442c2755a745300.tar.gz
autogen.sh: Use autoreconf instead gnome-autogen.sh
-rwxr-xr-xautogen.sh26
1 files changed, 12 insertions, 14 deletions
diff --git a/autogen.sh b/autogen.sh
index ce540b5..302e578 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,21 +1,19 @@
#!/bin/sh
# Run this to generate all the initial makefiles, etc.
-srcdir=`dirname $0`
-test -z "$srcdir" && srcdir=.
+test -n "$srcdir" || srcdir=`dirname "$0"`
+test -n "$srcdir" || srcdir=.
-PKG_NAME="intltool"
-REQUIRED_AUTOMAKE_VERSION="1.6"
+olddir=`pwd`
+cd $srcdir
-(test -f $srcdir/intltoolize.in) || {
- echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
- echo " top-level $PKG_NAME directory"
- exit 1
-}
+AUTORECONF=`which autoreconf`
+if test -z $AUTORECONF; then
+ echo "*** No autoreconf found, please intall it ***"
+ exit 1
+fi
-which gnome-autogen.sh || {
- echo "You need to install gnome-common from the GNOME CVS"
- exit 1
-}
+autoreconf --force --install --verbose
-USE_GNOME2_MACROS=1 . gnome-autogen.sh
+cd $olddir
+test -n "$NOCONFIGURE" || "$srcdir/configure" "$@"